<script setup>
import BaseCard from '@/component/BaseCard.vue'
import AccountStatusCard from '@/component/AccountStatusCard.vue'
import { RouterLink } from 'vue-router'
import { Icon } from '@iconify/vue'
</script>

<template>
  <div class="app-desktop-sidebar">
    <div class="app-desktop-sidebar__categories">
      <RouterLink :to="{name: 'category.file'}" class="button-base button-category">
        <Icon icon="mdi:folder-outline" width="16px" height="16px" />
        My files
      </RouterLink>
      <RouterLink :to="{name: 'category.starred'}" class="button-base button-category">
        <Icon icon="mdi:star-outline" width="16px" height="16px" />
        Starred
      </RouterLink>
      <RouterLink :to="{name: 'category.shared'}" class="button-base button-category">
        <Icon icon="mdi:account-multiple-outline" width="16px" height="16px" />
        Shared with me
      </RouterLink>
    </div>
    <div class="app-desktop-sidebar__infos">
      <AccountStatusCard />
      <!-- TODO: Fix gaping and size of base card -->
      <BaseCard>
        <template #title>
          <h5>Help us to keep our services alive !</h5>
        </template>
        <template #content>
          <div class="donation-actions">
            <a href="#" class="button-base button-success">
              Donate
              <Icon icon="mdi:heart-outline" width="16px" height="16px" />
            </a>
            <RouterLink class="donation-actions__how" to="#">
              How we spend it
            </RouterLink>
          </div>
        </template>
      </BaseCard>
    </div>
  </div>
</template>

<style lang="scss" scoped>
  .app-desktop-sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-width: 254px;
    max-width: 254px;
    // height: 100%;
    padding: 2rem;
    padding-top: 11em;
    background-color: $complementary-gray-3;

    &__categories {
      display: flex;
      flex-direction: column;
      gap: 1rem;

      svg {
        color: $complementary-white-25;
      }
    }

    &__infos {
      display: flex;
      flex-direction: column;
      gap: 1rem;
    }
  }

  .donation-actions {
    display: flex;
    align-items: center;
    gap: 1rem;

    &__donate {
      display: flex;
      align-items: center;
      gap: 6px;
      background-color: $primary-green;
      color: $complementary-white;
      border-radius: 8px;
      border: none;
      height: 2rem;
      padding: 0 8px;

      svg {
        color: $complementary-white;
      }
    }

    &__how {
      color: $complementary-white;
      opacity: 0.5;
    }
  }
</style>
